org.apache.synapse.commons.staxon.core.json.stream.util

## Class AddRootSource

- java.lang.Object
- - org.apache.synapse.commons.staxon.core.json.stream.util.StreamSourceDelegate
  - - org.apache.synapse.commons.staxon.core.json.stream.util.AddRootSource

- All Implemented Interfaces:
    Closeable, AutoCloseable, Location, JsonStreamSource

      public class AddRootSource
      extends StreamSourceDelegate

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.synapse.commons.staxon.core.json.stream.JsonStreamSource

      `JsonStreamSource.Value`

  - ### Field Summary

    - ### Fields inherited from interface org.apache.synapse.commons.staxon.core.json.stream.JsonStreamSource

      `FALSE, NULL, TRUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddRootSource(JsonStreamSource delegate, QName root, char namespaceSeparator)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `endObject()` Consume `JsonStreamToken.END_OBJECT` token.
    `String` | `name()` Consume `JsonStreamToken.NAME` token.
    `JsonStreamToken` | `peek()` Peek next token.
    `void` | `startObject()` Consume `JsonStreamToken.START_OBJECT` token.
    `JsonStreamSource.Value` | `value()` Consume `JsonStreamToken.VALUE` token.

    - ### Methods inherited from class org.apache.synapse.commons.staxon.core.json.stream.util.StreamSourceDelegate

      `close, copy, endArray, getCharacterOffset, getColumnNumber, getLineNumber, getPublicId, getSystemId, startArray`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AddRootSource

          public AddRootSource(JsonStreamSource delegate,
                               QName root,
                               char namespaceSeparator)

  - ### Method Detail

    - #### name

          public String name()
                      throws IOException

      Description copied from interface: `JsonStreamSource`
      Consume `JsonStreamToken.NAME` token.
      Specified by:
        `name` in interface `JsonStreamSource`
      Overrides:
        `name` in class `StreamSourceDelegate`
      Returns:
        name
      Throws:
        `IOException`

    - #### value

          public JsonStreamSource.Value value()
                                       throws IOException

      Description copied from interface: `JsonStreamSource`
      Consume `JsonStreamToken.VALUE` token.
      Specified by:
        `value` in interface `JsonStreamSource`
      Overrides:
        `value` in class `StreamSourceDelegate`
      Returns:
        value
      Throws:
        `IOException`

    - #### startObject

          public void startObject()
                           throws IOException

      Description copied from interface: `JsonStreamSource`
      Consume `JsonStreamToken.START_OBJECT` token.
      Specified by:
        `startObject` in interface `JsonStreamSource`
      Overrides:
        `startObject` in class `StreamSourceDelegate`
      Throws:
        `IOException`

    - #### endObject

          public void endObject()
                         throws IOException

      Description copied from interface: `JsonStreamSource`
      Consume `JsonStreamToken.END_OBJECT` token.
      Specified by:
        `endObject` in interface `JsonStreamSource`
      Overrides:
        `endObject` in class `StreamSourceDelegate`
      Throws:
        `IOException`

    - #### peek

          public JsonStreamToken peek()
                               throws IOException

      Description copied from interface: `JsonStreamSource`
      Peek next token.
      Specified by:
        `peek` in interface `JsonStreamSource`
      Overrides:
        `peek` in class `StreamSourceDelegate`
      Returns:
        token
      Throws:
        `IOException`

Copyright © 2005–2017 Apache Software Foundation. All rights reserved.